/*
 * Class VERSIONABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_91 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_91 [] = {0xFF01,1551,90,0xFFFF};
static const EIF_TYPE_INDEX egt_2_91 [] = {0xFF01,90,0xFFFF};
static const EIF_TYPE_INDEX egt_3_91 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_91 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_91 [] = {0xFF01,90,0xFFFF};
static const EIF_TYPE_INDEX egt_6_91 [] = {0xFF01,90,0xFFFF};
static const EIF_TYPE_INDEX egt_7_91 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_91 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_91 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_91 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_91 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_91 [] = {0xFF01,90,0xFFFF};


static const struct desc_info desc_91[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_91), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_91), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_91), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_91), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_91), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_91), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_91), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_91), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_91), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_91), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_91), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_91), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xB5 /*90*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_91), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 1218, 0},
	{EIF_GENERIC(NULL), 1219, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1220, 0xFFFFFFFF},
};
void Init91(void)
{
	IDSC(desc_91, 0, 90);
	IDSC(desc_91 + 1, 1, 90);
	IDSC(desc_91 + 32, 862, 90);
}


#ifdef __cplusplus
}
#endif
